# -*- coding: utf-8 -*-
#
# File: testSpecialtiesFolder.py
#
# Copyright (c) 2007 by []
# Generator: ArchGenXML Version 1.5.2
#            http://plone.org/products/archgenxml
#
# GNU General Public License (GPL)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#

__author__ = """WebLion <support@weblion.psu.edu>"""
__docformat__ = 'plaintext'

import os, sys
if __name__ == '__main__':
    execfile(os.path.join(sys.path[0], 'framework.py'))

##code-section module-header #fill in your manual code here
##/code-section module-header

#
# Test-cases for class(es) SpecialtiesFolder
#

from Testing import ZopeTestCase
from Products.FacultyStaffDirectory.config import *
from Products.FacultyStaffDirectory.tests.testPlone import testPlone

# Import the tested classes
from Products.FacultyStaffDirectory.SpecialtiesFolder import SpecialtiesFolder

##code-section module-beforeclass #fill in your manual code here
##/code-section module-beforeclass


class testSpecialtiesFolder(testPlone):
    """Test-cases for class(es) SpecialtiesFolder."""

    ##code-section class-header_testSpecialtiesFolder #fill in your manual code here
    ##/code-section class-header_testSpecialtiesFolder

    def afterSetUp(self):
        self.loginAsPortalOwner()

    # from class SpecialtiesFolder:
    def test_view(self):
        pass

    # from class SpecialtiesFolder:
    def test_edit(self):
        pass

    # from class SpecialtiesFolder:
    def test_local_roles(self):
        pass

    # Manually created methods

    def testSpecialtyCreation(self):
        """
        Make sure we can add Specialty objects within the SpecialtiesFolder
        """
        specialty = self.getEmptySpecialtiesFolder()
        specialty.invokeFactory(type_name="Specialty", id="test_specialty")
        self.failUnless('test_specialty' in specialty.contentIds())

    def testSpecialtiesFolderCreation(self):
        """
        Make sure SpecialtiesFolders can be added within a FacultyStaffDirectory
        """
        fsd = self.getEmptyDirectory()
        fsd.invokeFactory(type_name="SpecialtiesFolder", id="test_specialties_folder")
        self.failUnless('test_specialties_folder' in fsd.contentIds())


def test_suite():
    from unittest import TestSuite, makeSuite
    suite = TestSuite()
    suite.addTest(makeSuite(testSpecialtiesFolder))
    return suite

##code-section module-footer #fill in your manual code here
##/code-section module-footer

if __name__ == '__main__':
    framework()


